/*
 * Copyright (C) 2007 Eskil Bylund
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

using System;
using System.Collections.Generic;

using DCSharp.Backend.Objects;

namespace DCSharp.Backend.Managers
{
	public interface IFavoriteHubManager
	{
		event EventHandler<FavoriteHubEventArgs> HubAdded;
		event EventHandler<FavoriteHubEventArgs> HubRemoved;
		event EventHandler HubsSorted;

		int HubCount { get; }
		IEnumerable<FavoriteHubInfo> Hubs { get; }

		object SyncRoot { get; }

		void Add(FavoriteHubInfo info);
		void Remove(FavoriteHubInfo info);
		bool Contains(FavoriteHubInfo info);

		void Sort(IComparer<FavoriteHubInfo> comparer);
	}
}
