/*
 * Copyright (C) 2007 Eskil Bylund
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

using System;

namespace DCSharp
{
	public class RemoteFileInfo
	{
		private string name;
		private long size;
		private string tth;

		public RemoteFileInfo(string name, long size, string tth)
		{
			if (name == null)
			{
				throw new ArgumentNullException("name");
			}
			if (tth == null)
			{
				throw new ArgumentNullException("tth");
			}
			this.name = name;
			this.size = size;
			this.tth = tth;
		}

		#region Properties

		public string Name
		{
			get { return name; }
		}

		public long Size
		{
			get { return size; }
		}

		public string TTH
		{
			get { return tth; }
		}

		#endregion

		public override string ToString()
		{
			return name;
		}
	}
}
