/*
 * Copyright (C) 2006-2007 Eskil Bylund
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

using System.Net;

using DCSharp.Backend.Connections;
using DCSharp.Backend.Objects;
using DCSharp.Settings;

namespace DCSharp.Backend.Protocols
{
	public interface IHubProtocolHelper : ISearchResultHandler,
		ILegacyUserIdentifier
	{
		IConnectionSettings ConnectionSettings { get; }

		int Slots { get; }
		int FreeSlots { get; }
		long ShareTotal { get; }

		UserConnection CreateUserConnection(IPEndPoint endPoint,
			ConnectionProtocol protocol);

		void RedirectTo(string hostname);

		bool CanSearch(string identifier);
		SearchResult[] Search(SearchInfo searchInfo, int? maxResults);
	}

	public interface ISearchResultHandler
	{
		void HandleSearchResult(SearchResult result);
	}

	public interface ILegacyUserIdentifier
	{
		bool IdentifyUser(string nick, string hubName, string hubAddress,
			out User user, out HubConnection hub);
	}
}
