/*
 * Copyright (C) 2007 Eskil Bylund
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

using System;

namespace DCSharp.Hashing
{
	public partial class HashStore
	{
		/// <summary>
		/// Holds metadata for hashed files.
		/// </summary>
		protected class HashFileInfo
		{
			private string name;
			private int lastWriteTime;
			private string root;
			private bool keepOnRebuild;

			public HashFileInfo(string name, int lastWriteTime, string root) :
				this()
			{
				this.name = name;
				this.lastWriteTime = lastWriteTime;
				this.root = root;
			}

			public HashFileInfo()
			{
				keepOnRebuild = true;
			}

			#region Properties

			public string Name
			{
				get { return name; }
				set { name = value; }
			}

			public int LastWriteTime
			{
				get { return lastWriteTime; }
				set { lastWriteTime = value; }
			}

			public string Root
			{
				get { return root; }
				set { root = value; }
			}

			public bool KeepOnRebuild
			{
				get { return keepOnRebuild; }
				set { keepOnRebuild = value; }
			}

			#endregion
		}
	}
}
