/*
 * Copyright (C) 2007 Eskil Bylund
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

namespace DCSharp.Settings
{
	public class ConnectionSettings : IConnectionSettings
	{
		private string address;
		private int port;
		private bool supportsIncoming;

		public ConnectionSettings()
		{
			port = 1412;
		}

		/// <summary>
		/// Gets or sets the IP-address.
		/// </summary>
		public string Address
		{
			get { return address; }
			set { address = value; }
		}

		/// <summary>
		/// Gets or sets the port to listen to.
		/// </summary>
		public int Port
		{
			get { return port; }
			set { port = value; }
		}

		/// <summary>
		/// Gets or sets whether or not to handle incoming connections.
		/// </summary>
		public bool SupportsIncoming
		{
			get { return supportsIncoming; }
			set { supportsIncoming = value; }
		}
	}
}
