/* 
 * Copyright (C) 2007 Eskil Bylund
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

using System;
using System.Xml.Serialization;

using DCSharp.Backend.Objects;

namespace DCSharp.Settings
{
	public class UserSettings
	{
		private LocalIdentity identity;

		public UserSettings() : base()
		{
			identity = new LocalIdentity(Uid.Generate(), System.Environment.UserName);
			identity.Connection = "Cable";
		}

		public string Pid
		{
			get { return identity.Pid; }
			set
			{
				if (Uid.IsValid(value))
				{
					identity.Pid = new Uid(value);
				}
			}
		}

		public string Nick
		{
			get { return identity.Nick; }
			set { identity.Nick = value; }
		}

		public string Description
		{
			get { return identity.Description; }
			set { identity.Description = value; }
		}

		public string Email
		{
			get { return identity.Email; }
			set { identity.Email = value; }
		}

		public string Connection
		{
			get { return identity.Connection; }
			set { identity.Connection = value; }
		}

		[XmlIgnore]
		public LocalIdentity LocalIdentity
		{
			get { return identity; }
			set { identity = value; }
		}
	}
}
