/* 
 * Copyright (C) 2004-2005 Jonathan Bindel
 * Copyright (C) 2006-2007 Eskil Bylund
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

using System.Xml.Serialization;

namespace DCSharp.Xml
{
	/// <summary>
	/// Represents a file in a <see cref="FileList"/>.
	/// </summary>
	public class FileNode
	{
		private string name;
		private long size;
		private string tth;

		public FileNode(string name, long size, string tth)
		{
			this.name = name;
			this.size = size;
			this.tth = tth;
		}

		public FileNode()
		{
		}

		#region Properties

		[XmlAttribute()]
		public string Name
		{
			get { return name; }
			set { name = value; }
		}

		[XmlAttribute()]
		public long Size
		{
			get { return size; }
			set { size = value; }
		}

		[XmlAttribute()]
		public string TTH
		{
			get { return tth; }
			set { tth = value; }
		}

		#endregion
	}
}
