/*
 * Copyright (C) 2006-2007 Eskil Bylund
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

using System.Collections.Generic;

using Gtk;

namespace DCSharp.Gui
{
	public class HistoryEntry : Entry
	{
		private ListStore store;
		private List<string> history;

		public enum Column {
			Text
		};

		public HistoryEntry()
		{
			store = new ListStore (typeof (string));
			history = new List<string>();

			EntryCompletion completion = new EntryCompletion();
			completion.Model = store;
			completion.TextColumn = (int)Column.Text;
			completion.PopupCompletion = true;
			completion.InlineCompletion = true;

			Completion = completion;
		}

		#region Methods

		protected override void OnActivated()
		{
			string text = Text;
			if (!history.Contains(text))
			{
				history.Add(text);
				store.AppendValues(text);
			}
			base.OnActivated();
		}

		#endregion		
	}
}
