/*
 * Copyright (C) 2006-2007 Eskil Bylund
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

using Gtk;
using Mono.Unix;

using DCSharp.Xml;

namespace DCSharp.Gui
{
	public class SaveToDialog : FileChooserDialog
	{
		public SaveToDialog(Window parent, FileChooserAction action) : base(
			Catalog.GetString("Save To"), parent, action,
			Stock.Cancel, ResponseType.Cancel,
			Stock.Save, ResponseType.Accept)
		{
			DoOverwriteConfirmation = true;
			SetCurrentFolder(Globals.Runtime.Settings.DownloadDirectory);

			try
			{
				AddShortcutFolder(Globals.Runtime.Settings.DownloadDirectory);
			}
			catch
			{
				// Folder already added
			}
		}

		public static string GetFolder(Window parent)
		{
			SaveToDialog dialog = new SaveToDialog(parent,
				FileChooserAction.SelectFolder);

			string folder = null;
			if (dialog.Run() == (int)ResponseType.Accept)
			{
				folder = dialog.CurrentFolder;
			}

			dialog.Destroy();
			return folder;
		}

		public static string GetFilename(string name, Window parent)
		{
			SaveToDialog dialog = new SaveToDialog(parent,
				FileChooserAction.Save);
			dialog.CurrentName = name;

			string filename = null;
			if (dialog.Run() == (int)ResponseType.Accept)
			{
				filename = dialog.Filename;
			}

			dialog.Destroy();
			return filename;
		}
	}
}
