/*
 * Copyright (C) 2007 Eskil Bylund
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

using System.Xml.Serialization;

namespace DCSharp.Settings
{
	public class HubSettings
	{
		private string hostname;
		private int visibleColumns;
		private int sidebarWidth;

		public HubSettings(string hostname)
		{
			this.hostname = hostname;
		}

		public HubSettings()
		{
		}

		[XmlAttribute("Hostname")]
		/// <summary>
		/// Gets or sets the hub hostname.
		/// </summary>
		public string Hostname
		{
			get { return hostname; }
			set { hostname = value; }
		}

		/// <summary>
		/// Gets or sets the visible columns.
		/// </summary>
		public int VisibleColumns
		{
			get { return visibleColumns; }
			set { visibleColumns = value; }
		}

		/// <summary>
		/// Gets or sets the width of the sidebar.
		/// </summary>
		public int SidebarWidth
		{
			get { return sidebarWidth; }
			set { sidebarWidth = value; }
		}
	}
}
